
//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.96-7 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SH1107
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103C8T6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PA5
// SDA    PA7
// RES    PB0
// DC     PB1
// CS     PA4 

#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
 int main(void)
 {	u8 t;
		delay_init();	    	   
		NVIC_Configuration(); 	 
		OLED_Init();			

	 
			
		t=' ';
	while(1) 
	{		
		OLED_Clear();
	//	LED_ON;
		OLED_Clear()  	; 
		
		 OLED_ShowString(10,0,"EASTRISING");
		OLED_ShowString(8,2,"buydisplay");  
		OLED_ShowString(20,4,"2014/05/01");  
		OLED_ShowString(0,6,"ASCII:");  
		OLED_ShowString(63,6,"CODE:");  
		t=' '; 
		
    OLED_ShowCHinese(0,0,0);//
		OLED_ShowCHinese(16,0,1);//
		OLED_ShowCHinese(32,0,2);//
		OLED_ShowCHinese(48,0,3);//	 
	 
  
		t++;
		if(t>'~')t=' ';

			OLED_DrawBMP(0,0,64,16,BMP1); 
	
		delay_ms(8000);
		OLED_Clear();
		delay_ms(8000);
	//		LED_OFF;
		OLED_DrawBMP(0,0,64,16,BMP2);  
		delay_ms(8000);

	}	  
	
}

